
/* 
    Page 
*/
.page__cover {
    grid-column: 1/-1;
    margin: 1rem 0;
}


/* 
    Page Cover Placeholder 
*/

.page__cover__placeholder {
    grid-column: 1/-1;
    margin: 1rem 0;
}

.page__cover__placeholder {
    background-color: black;
    padding: 6rem 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}

.page__cover__placeholder.yellow {
    background-color: #FFD600;
}

.page__cover__placeholder.purple {
    background-color: #9747FF;
}

.page__cover__placeholder.gray {
    background-color: #D2D2D2;
}

.page__cover__placeholder.black {
    background-color: black;
}

.page__cover__placeholder.horizontal,
.page__cover.horizontal .page__cover__placeholder {
    padding: 0 1rem;
    aspect-ratio: 3/2;
}

.page__cover__placeholder__circle {
    width: auto;
    height: 80%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    border: 2px solid var(--placeholderStroke, white);
}

.page__cover__placeholder.yellow .page__cover__placeholder__circle {
    border-color: black;
}

.page__cover__placeholder.purple .page__cover__placeholder__circle {
    border-color: white;
}

.page__cover__placeholder.gray .page__cover__placeholder__circle {
    border-color: white;
}

.page__cover__placeholder.black .page__cover__placeholder__circle {
    border-color: white;
}

.page__cover.horizontal .page__cover__placeholder__circle {
    height: calc(100% - 2rem);
}

.page__cover__placeholder.large .page__cover__placeholder__circle {
    border-width: 3px;
}

.page__cover.horizontal .page__cover__placeholder.large .page__cover__placeholder__circle {
    height: calc(100% - 3rem);
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .page__cover__placeholder {
        grid-column: 5/-5;
    }
    
    .page__cover__placeholder__circle {
        border: 2px solid var(--placeholderStroke, white);
    }

    .page__cover__placeholder.large .page__cover__placeholder__circle {
        border-width: 4px;
    }

    .page__cover.horizontal .page__cover__placeholder.large .page__cover__placeholder__circle {
        height: calc(100% - 4rem);
    }
}

.page__nav {
    background-color: rgba(249, 249, 249, 0.85);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    z-index: 100;
    position: sticky;
    top: var(--headerHeight);
    border-bottom: 1px solid black;
    padding: 0.5rem 0;
    margin: 0 32px;
}

.page__header__hidden {
    background-color: rgba(249, 249, 249, 1);
    /* backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px); */
    border-bottom: 1.5px solid black;
    margin: 0 1rem;
    padding: .5rem 0;
    position: fixed;
    opacity: 0;
    translate: 0 -100%;
    position: fixed;
    transition: 300ms;
    top: var(--headerHeight);
    left: 0;
    right: 0;
    z-index: 100;

}

/* Desktop */
@media only screen and (max-width: 64rem) {
    .page__header__hidden strong {
        display: block;
    }

    .page__header__hidden.active {
        opacity: 1;
        translate: 0;
    }
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .page__cover {
        margin: 3rem 0 1rem;
        grid-column: 5/-5;
    }

    .page__header__hidden {
        margin: 0 2.5rem;
        padding: .5rem 0;
    }
}

/* Scroll anchor */
.scroll-anchor {
    scroll-margin-top: calc(var(--headerHeight));
    position: absolute;
}

/* Layout */
.layout {
    padding: 1rem;
}

.layout__column.main,
.layout__column.full {
    grid-column: 1/-1;
}
.layout__column.aside {
    grid-column: 2/-2;
}

.layout__column .block:not(:first-child) {
    margin-top: 2.5rem;
}

.layout .block-type-video {
    margin: 2rem 0 3rem;
}

.layout .block-type-video iframe {
    border: 0;
    width: 100%;
    aspect-ratio: 16/9;
}

.layout .block-type-video iframe #player {
    border: 0;
    width: 100%;
    height: auto;
}

.layout .block-type-heading {
    margin-bottom: 1rem;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .layout {
        padding: 1rem 2.5rem;
    }

    .layout__column {
        display: grid;
        grid-template-columns: repeat(16, 1fr);
        grid-gap: 1rem;
    }

    .layout__column.main {
        grid-column: 1/9;
        grid-template-columns: repeat(8, 1fr);
    }

    .layout__column.aside {
        grid-column: 11/-1;
        grid-template-columns: repeat(6, 1fr);
    }

    .layout__column.full {
        grid-column: 1/-1;
        grid-template-columns: repeat(16, 1fr);
    }

    .layout__column .block {
        grid-column: 1/-1;
        
    }

    .layout__column.full .block-type-text,
    .layout__column.full .block-type-text {
        grid-column: 1/9;
    }  

    .layout__column.full .block-type-gallery {
        grid-column: 5/-5;
    }  

    .layout__column.full .block-type-gallery.large {
        grid-column: 2/-2;
    }  


    .layout .block-type-video {
        margin: 0;
    }
}



/* 
    Section 
*/
.section {
    grid-row-gap: 0.75rem;
    scroll-margin-top: var(--headerHeight);
}

.section__header,
.section__category,
.section__subheader {
    grid-column: 1/-1;
    border-bottom: 1px solid black;
    padding: 0.5em 0 0.5em;
    /* margin-bottom: 0.2em; */
    background-color: rgba(249, 249, 249, 1);
    z-index: 100;
    /* backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px); */
}

a.section__header::after {
    content: "+";
    /* transition: 100ms ease; */
    opacity: 0;
    margin-left: 0.5rem;
    translate: 0 0.1rem;
    font-weight: 500;
}

a.section__header:hover::after {
    opacity: 1;
}

.section__header {
    border-bottom: 1.5px solid black;
    position: sticky;
    display: flex;
    top: var(--headerHeight);
    scroll-margin-top: var(--headerHeight);
    z-index: 200;
}

.section__header.filters {
    justify-content: space-between;
}

.section__header.secondary {
    border-bottom: 1px solid black;
    top: calc(var(--secondaryHeight));
    z-index: 100;
    scroll-margin-top: var(--secondaryHeight);
}

.section__magazine-cover {
    grid-column: 1/-1;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section__header.grid {
        display: grid;
    }
    
    .section__magazine-cover {
        grid-column: 4/-4;
    }
}

.section__header + .section__header {
    padding-top: 0;
    margin-top: -0.4rem;
}

.section__category,
.section__subheader {
    position: sticky;
    top: calc(var(--headerHeight) + 3rem);
    z-index: 5;
}

/* Mobile-only */
@media only screen and (max-width: 64rem) {
    .section__subtitle {
        border-bottom: 1px solid black;
        grid-column: 1/-1;
        padding-bottom: 0.5rem;
    }

    .section__subtitle.tertiary {
        position: sticky;
        top: calc(var(--headerHeight) + 5rem);
        height: fit-content;
        background-color: rgba(249, 249, 249, 1);
        translate: 0 -0.74rem;
        padding-top: 0.5rem;
        /* margin-right: -1rem; */
        z-index: 15;
    }
}

.section__header.half {
    grid-column: 1/-1;
}

.section__hr {
    grid-column: 1/-1;
}

.section__cover {
    margin-bottom: 1rem;
}

.section__header__filters {
    display: flex;
    justify-content: flex-end;
}

.section__header__filters.left {
    justify-content: flex-start;
}

.section__header__filters .dropdown-filters {
    display: none;
    position: absolute;
    right: 0;
    top: calc(100% + 1rem);
    text-align: right;
}

.section__header__filters .dropdown-filters li {
    margin: 0 !important;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section__header__filters .dropdown-filters.active {
        display: block;
    }

    .section__header.half {
        grid-column: 1/9;
    }
}


/* Mobile */
@media only screen and (max-width: 64rem) {
    .section__header.filters {
        flex-wrap: wrap;
    }

    .section__header__filters {
        width: 100%;
        order: 3;
    }

    .section__header__filters.active {
        margin-bottom: 1rem;
    }

    .section__header__filters ul {
        /* display: flex; */
        text-align: right;
        padding-right: 1.5rem;
        
    }

    .section__header__button {
        width: 1rem;
        height: 1rem;
        font-size: 20px;
        opacity: 0.5;
        transition: 300ms;
        order: 2;
    }

    .section__header__filters.active + .section__header__button {
        rotate: 45deg;
    }

    .section__header__filters {
        display: none;
    }

    .section__header__filters.active {
        display: block;
    }

    .section__header__filters ul li a.active {
        pointer-events: none;
        color: black;
        font-weight: 500;
    }
}

.section__category {
    margin-top: -0.5rem;
    padding: 0.5em 0;
    z-index: 5;
}

.section__seemore {
    grid-column: 1/-1;
    margin-bottom: 2rem;
}

.section__pagination {
    grid-column: 1/-1;
}

.section__pagination a {
    padding-right: 0.75rem;
}

/* Section + ListBlock */
.section .list-block__cover {
    grid-column: 1/-1;
    margin-bottom: 0.5rem;
    object-fit: contain;
    object-position: 100% 0;
}
.section .list-block:not(:first-of-type) + .list-block__cover {
    display: none;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section .list-block__cover {
        display: none;
        opacity: 0;
        aspect-ratio: 3/2;
        transition: 300ms;
    }

    .section .list-block:first-of-type + .list-block__cover {
        display: block;
        opacity: 1;
    }

    .section:hover .list-block:first-of-type + .list-block__cover {
        display: block;
        opacity: 0;
    }

    .section .list-block__cover {
        display: block;
        opacity: 0;
        grid-column: -6/-1;
        grid-row-start: 2;
        grid-row-end: calc(var(--count) * 2 + 2);
    }

    .section .list-block:hover+.list-block__cover {
        display: block;
        opacity: 1 !important;
    }

    .section__subheader {
        grid-column: 1/4;
        border: 0;
        padding: 0;
        height: fit-content;
    }

    .section__subtitle {
        grid-column: 1/4;
    }

    .section__subtitle.tertiary {
        position: sticky;
        top: calc(var(--headerHeight) + 5.5rem);
        height: fit-content;
        background-color: rgba(249, 249, 249, 1);
        translate: 0 -0.74rem;
        padding-top: 0.74rem;
        margin-right: -1rem;
        height: 100%;
        padding-right: 1rem;
        min-height: 2.85rem;
        z-index: 5;
    }

    .section__subtitle.tertiary::after {
        content: " ";
        position: absolute;
        top: 0;
        bottom: -2rem;
        left: 0;
        right: 0;
        z-index: -1;
        background-color: rgba(249, 249, 249, 1);
    }

    .section__seemore {
        grid-column: 6/8;
        margin: 1rem 0 2rem;
        transition: 300ms;
    }

    .section__seemore.hidden {
        display: none;
    }

    .section__pagination {
        grid-column: 3/-6;
    }

    .section__header__filters ul {
        display: flex;
    }

    .section__header__filters ul li:not(:last-child) {
        margin-right: 1rem;
    }

    .section__header__button {
        display: none;
    }
}

/* Section + Document Block */
@media only screen and (max-width: 64rem) {
    .section .document-block {
        grid-column: 2/-2;
    }
}

/* Section + Degree and Group */
.section .degree,
.section .group {
    border-bottom: 1px solid black;
    padding: 0 0 0.65rem;
    margin-top: -0.25rem;
    grid-column: 1/-1;
}

.degree__title {
    grid-column: 1/-2;
}

.group__shortname {
    grid-column: 1/2;
}

.group__title {
    grid-column: 2/-2;
}

.definition-list {
    grid-column: 1/-1;
}

.group__icon,
.degree__icon {
    grid-column: -2/-1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section .degree,
    .section .group {
        grid-column: 1/9;
    }

    .degree__title {
        grid-column: 1/8;
    }

    .group__title {
        grid-column: 2/8;
    }



    .icon {
        width: 0.75rem;
        height: 0.75rem;
        opacity: 0.5;
        transition: 300ms;
    }

    .degree:hover .icon,
    .group:hover .icon {
        opacity: 1;
    }

    .section__text {
        grid-column: 1/9;
    }

    .section:not(.first) .section__text {
        grid-row: 2;
    }

    .section .section__cover {
        grid-column: 9/-1;
    }

    .section.first .section__cover {
        grid-column: 1/12;
    }

    .definition-list {
        grid-column: 1/9;
    }
}

.page__header {
    padding-top: 0;
}


/* Section + slideshow  */

.section__slideshow {
    grid-column: 1/-1;
}

/* Desktop */
@media only screen and (min-width: 64rem) {
    .section__slideshow {
        grid-column: 5/-5;
    }
    .section__slideshow.large {
        grid-column: 2/-2;
    }

}


/*  
    Signatures 
*/


@media (prefers-color-scheme:dark) {
    .signature-container {
        background-color: rgba(30, 30, 30, 1);
        padding: 1rem;
    }

    .signature-instructions a {
        color: gray !important;
    }
}
